Secciones

Actualizando aplicaciones a Grails 2.3.0

Inicio » Artículos » Actualizando aplicaciones a Grails 2.3.0
La categoría del artículo es
Escrito el 12 September 2013, 01:35


Ayer mismo salió la nueva versión de Grails, la 2.3.0 que destaca, entre otros aspectos por las mejoras en el soporte a los servicios REST y el aumento de la seguridad para evitar ataques XSS.

Esta misma mañana he intentado actualizar una aplicación que estoy desarrollando y de la que por el momento no puedo hablar y me he encontrado con el problema de que se desaconseja el uso el típico comando grails upgrade puesto que está en estado de deprecated. A partir de ahora debemos utilizar el comando


Ayer mismo salió la nueva versión de Grails, la 2.3.0 que destaca, entre otros aspectos por las mejoras en el soporte a los servicios REST y el aumento de la seguridad para evitar ataques XSS.

Esta misma mañana he intentado actualizar una aplicación que estoy desarrollando y de la que por el momento no puedo hablar y me he encontrado con el problema de que se desaconseja el uso el típico comando grails upgrade puesto que está en estado de deprecated. A partir de ahora debemos utilizar el comando

De esta forma, si necesitamos actualizar una aplicación Grails debemos en primer lugar, modificar manualmente dentro del archivo de configuración BuildConfig.groovy porque a partir de esta actualización las versiones de los plugins para Tomcat y Hibernate ya no tendrán la misma versión que la versión de Grails utilizada sino que indicarán la versión tanto de Tomcat como de Grails empleada. En mi caso, podemos modificar estos dos plugins de la siguiente forma:

plugins { //runtime “:hibernate:$grailsVersion” runtime ‘:hibernate:3.6.10.1’

//build “:tomcat:$grailsVersion” build ‘:tomcat:7.0.42’

}

Además, si utilizar IntelliJ Idea 12, tendrás que solucionar un pequeño problema que todavía que consiste básicamente en cambiar dos librerías en tu instalación de Idea. Toda la información sobre este patch la tienes en http://youtrack.jetbrains.com/issue/IDEA-108180

Fuentes:

Si además, estáis acostumbrados a utilizar scaffolding, no deberías olvidarte de incluir el siguiente plugin en el archivo BuildConfig:

plugins { .... compile ":scaffolding:2.0.0" ....


Espero tus comentarios...

Ayuda Textile